#include <stdio.h>
#include <stdlib.h>
#include <SDL/SDL.h>
#include <SDL/SDL_ttf.h>
#include "SDL.h"


int SDL_bis()
{   int quitter=0;
    SDL_Surface* ecran=NULL;
    SDL_Event event;
    SDL_Surface* logo = NULL;
    SDL_Surface* texte = NULL;
    SDL_Rect pos_logo;
    SDL_Rect pos_texte;
    TTF_Font *police = NULL;

    if ( SDL_Init( SDL_INIT_VIDEO ) < 0 )
    {
        printf( "Unable to init SDL: %s\n", SDL_GetError() );
        return 1;
    }

    if(TTF_Init() == -1)
    {
        fprintf(stderr, "Erreur d'initialisation de TTF_Init : %s\n", TTF_GetError());
        exit(EXIT_FAILURE);
    }

    police=TTF_OpenFont("../resources/fonts/arial.ttf",26);
    SDL_Color couleurNoire = {0, 0, 0};
    SDL_Color couleurBlanche = {255, 255, 255};

    ecran = SDL_SetVideoMode(LARGEUR_CARTE*(LARGEUR_CASE+1), HAUTEUR_CARTE*(HAUTEUR_CASE+2), 32, SDL_HWSURFACE|SDL_DOUBLEBUF);
    if (ecran == NULL) // Si l'ouverture a chou, on le note et on arrte
    {
        fprintf(stderr, "Impossible de charger le mode vido : %s\n", SDL_GetError());
        exit(EXIT_FAILURE);
    }

    SDL_WM_SetCaption("Elder Internal Ignition",NULL);

    texte = TTF_RenderText_Shaded(police, "Entrez le nom du joueur 1", couleurBlanche,couleurNoire);

    SDL_FillRect(ecran,NULL,SDL_MapRGB(ecran->format,0,0,0));

    logo = SDL_LoadBMP("../resources/Skins/logo.bmp");
    if (!logo)
    {
        printf("Unable to load bitmap: %s\n", SDL_GetError());
        return 1;
    }
    pos_logo.x=0;
    pos_logo.y=0;
    pos_texte.x=(ecran->w-texte->w)/2;
    pos_texte.y=ecran->h-200;
    SDL_BlitSurface(texte,NULL,ecran,&pos_texte);
    SDL_BlitSurface(logo,NULL,ecran,&pos_logo);
    SDL_Flip(ecran);

    char nom_joueur1[15] = "";
    fgets(nom_joueur1, sizeof(nom_joueur1), stdin);
    char nom_joueur2[15] = "";
    ajouter_joueurs(nom_joueur1,nom_joueur2); //a coder par colin

    while(quitter==0)
    {
        SDL_WaitEvent(&event);
        switch(event.type)
        {
            case SDL_QUIT:
                quitter=1;
                break;
        }
        SDL_BlitSurface(texte,NULL,ecran,&pos_texte);
        SDL_BlitSurface(logo,NULL,ecran,&pos_logo);
        SDL_Flip(ecran);
    }
    return 0;

}
